reset
set logscale x
set xrange[0.00616595:162181]
db2abs(x)=10.**(x/20.)
w(x)=180/pi*arg(x)
ww(x)=w(x)
wwp(x)=(w(x)>=0)?w(x):w(x)+360
wwm(x)=(w(x)<=0)?w(x):w(x)-360
abs2db(x)=20.*log10(abs(x))
cplx(x,y)=cos(y*pi/180)*x+i*sin(y*pi/180)*x
i={0,1}
set xlabel "Frequency [Hz]"
set ylabel "dB "
set y2label "Phase [Degree]"
set ytics nomirror
set y2tics nomirror
set y2tics -180,45,180
set my2tics 3
set y2range [-180:180]
set mxtics 10
set mytics 10
z(x,y)=x+i*y
set key outside
set nolog y
set output "TF006A.pdf"
set term pdf enhanced
set size ratio 0.7
set key below
set grid xtics ytics
plot\
"TF006A.bod" using ($1):(abs2db(cplx($2,$3))) axes x1y1 title "TF006A.bod dB " w l lt 1 lw 2,\
"TF006A.bod" using ($1):(ww(cplx($2,$3))) axes x1y2 title "TF006A.bod Phase " w l lt 2 lw 2,\
"TF006A.out" using ($1):($2) axes x1y1 title "TF dB " w l lt 3 lw 2,\
"TF006A.out" using ($1):($3) axes x1y2 title "TF Phase " w l lt 4 lw 2
